<?php
  
    require_once 'application/class/class_ManageSession.php';
    
    // Tableau global utilisé pour les traductions : celui-ci doit être appelé en premier
    /**
     *
     * Programme de demarrage
     *
     */
    
    $user 		= new Utilisateur();
    $array_data 			= $user->buildXMLFicheUser($_SESSION['Session_Login'],'S');


    $masqueSMTP = SqlUsers::masquerSMTP()->trouve1();
    $array_data['masqueSMTP'] = $masqueSMTP['LIB01PARV'] ?? 'N';

    if(utilisateur::getDemandeModification($_SESSION['Session_Login']))
        $array_data_and_actions = Utilisateur::setActionsOnFormUser('fiche_user.php','fiche_user','user','readonly','suivi',$array_data);
    else
        // On récupère les données du profil utilisateur ainsi que les données à afficher + des flags de paramétrage conditionnant l'affichage
        $array_data_and_actions = Utilisateur::setActionsOnFormUser('fiche_user.php','fiche_user','user','modify','suivi',$array_data,'L');

    // correction bug dossier 28980
    $_SESSION['profilUserOrNot'] = 'user';
    
    $obj_xml = new GenXslt(true);
    
    
    /* TODO BAILA
     * TODO specification 3741
     */
    Securite::setToken($array_data_and_actions);
    // print_r($array_data_and_actions);exit;
    echo $obj_xml->XslHtml('application/xsl/fiche_user.xsl',$array_data_and_actions);
    $connecteur->disconnect();
    exit();